Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I've found this tutorial to install APC on servers with lighttpd + php 5.2 on Ubuntu 10.

However, when I run sudo pecl install apc the package is just downloaded and is not installed. (i.e. I'm not asked the next question" and apc.ini file is not created at all.

If I run only pecl install apc I get a warning (no permissions to write some files).

(I need instructions for both 9.04 and 10.04)

thanks

share|improve this question
1  
Which Ubuntu 10? 10.10 or 10.04? –  Jorge Castro Jan 1 '11 at 17:27
    
@Jorge Castro 10.04 But I've just realized that I also need to know for Ubuntu 9.04 (both have php 5.2) –  Patrick Jan 1 '11 at 17:36
add comment

1 Answer

up vote 1 down vote accepted

In 10.04, you can just install the php-apc package. 9.04 is no longer supported (see https://wiki.ubuntu.com/Releases). 9.10 does have this package as well. Also, 10.04 has PHP 5.3.2, not 5.2.x. PHP 5.2 is no longer supported by PHP. If you need PHP 5.2, Ubuntu Hardy (8.04) will still have PHP 5.2.4 supported until April 2013.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.